From 'available icat' to 'available sleuthkit'.
Signed-off-by: Matteo Cafasso <noxdafox(a)gmail.com>
---
daemon/tsk.c | 6 +++---
generator/actions.ml | 2 +-
tests/tsk/test-icat.sh | 2 +-
3 files changed, 5 insertions(+), 5 deletions(-)
diff --git a/daemon/tsk.c b/daemon/tsk.c
index 647d1e7..0fe1250 100644
--- a/daemon/tsk.c
+++ b/daemon/tsk.c
@@ -31,12 +31,12 @@
static int file_out (const char *cmd);
-GUESTFSD_EXT_CMD(str_tsk_probe, icat);
+GUESTFSD_EXT_CMD(str_sleuthkit_probe, icat);
int
-optgroup_icat_available (void)
+optgroup_sleuthkit_available (void)
{
- return prog_exists (str_tsk_probe);
+ return prog_exists (str_sleuthkit_probe);
}
int
diff --git a/generator/actions.ml b/generator/actions.ml
index 51f2295..ff72cfe 100644
--- a/generator/actions.ml
+++ b/generator/actions.ml
@@ -12949,7 +12949,7 @@ otherwise the call will fail." };
name = "icat"; added = (1, 33, 14);
style = RErr, [Mountable "device"; Int64 "inode"; FileOut
"filename"], [];
proc_nr = Some 464;
- optional = Some "icat";
+ optional = Some "sleuthkit";
progress = true; cancellable = true;
shortdesc = "download a file to the local machine given its inode";
longdesc = "\
diff --git a/tests/tsk/test-icat.sh b/tests/tsk/test-icat.sh
index e1fdc5a..3b0fca4 100755
--- a/tests/tsk/test-icat.sh
+++ b/tests/tsk/test-icat.sh
@@ -28,7 +28,7 @@ fi
rm -f test-mft.bin
# Skip if TSK is not supported by the appliance.
-if ! guestfish add /dev/null : run : available "icat"; then
+if ! guestfish add /dev/null : run : available "sleuthkit"; then
echo "$0: skipped because TSK is not available in the appliance"
exit 77
fi
--
2.7.0